Bug 739837 - Review Request: django-extra-form-fields - Some additional form fields for Django
Summary: Review Request: django-extra-form-fields - Some additional form fields for D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 07:52 UTC by Matthias Runge
Modified: 2011-10-11 02:03 UTC (History)
3 users (show)

Fixed In Version: django-extra-form-fields-0.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 21:13:55 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2011-09-20 07:52:19 UTC
Spec URL: http://www.matthias-runge.de/fedora/django-extra-form-fields.spec
SRPM URL: http://www.matthias-runge.de/fedora/django-extra-form-fields-0.0.1-1.fc15.src.rpm
Description: Additional form fields to use in Django applications:

    NextUrlField - add to forms that need to store url of next page
    get_next_url - utility function to extract next url from the request object
    UserNameField - field to enter user name - allows unique username site-wide
    UserEmailField - allows unique email address site-wide if 
                     EMAIL_UNIQUE setting is True


----
rpmlint -i /home/mrunge/rpmbuild/SRPMS/django-extra-form-fields-0.0.1-1.fc15.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/django-extra-form-fields-0.0.1-1.fc15.noarch.rpm ./django-extra-form-fields.spec 
django-extra-form-fields.src: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

django-extra-form-fields.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
The value of this tag appears to be misspelled. Please double-check.

django-extra-form-fields.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

django-extra-form-fields.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
The value of this tag appears to be misspelled. Please double-check.


Warnings are false positives.

Comment 1 Parag AN(पराग) 2011-09-20 08:50:01 UTC
Looks to be simple packaging here.

+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3363596
+ rpmlint output can be ignored as those are only warning messages.
+ source is verified with upstream as (sha1sum)
  0742c73dd92ad612d94d482fae1c7e8e0fd938da  django-extra-form-fields-0.0.1.tar.gz
  0742c73dd92ad612d94d482fae1c7e8e0fd938da  ../SOURCES/django-extra-form-fields-0.0.1.tar.gz
+ If you want to import this package for el5 also then have a look at http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines


APPROVED.

Comment 2 Parag AN(पराग) 2011-09-20 08:57:29 UTC
also, I think you should ask upstream to add correct licensing text in LICENSE file in the next upstream release. I don't see any BSD license text in COPYING. you should drop it from %doc

Comment 3 Matthias Runge 2011-09-20 09:08:49 UTC
Thank you, this was fast like lightning! Review approved under an hour!

I must admit, I took the license field from 

http://pypi.python.org/pypi/django-extra-form-fields/0.0.1

Comment 4 Matthias Runge 2011-09-20 09:15:53 UTC
looks like license BSD in the python page is wrong, the correct one is GPLv2+


New Package SCM Request
=======================
Package Name: django-extra-form-fields
Short Description: Some additional form fields for Django
Owners: mrunge
Branches: f15 f16 el6

Comment 5 Parag AN(पराग) 2011-09-20 09:20:13 UTC
good to clarify with upstream author first and then import the package. I see its BSD.

Comment 6 Gwyn Ciesla 2011-09-20 15:04:09 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-09-21 20:39:43 UTC
django-extra-form-fields-0.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/django-extra-form-fields-0.0.1-1.fc16

Comment 8 Fedora Update System 2011-09-21 20:41:53 UTC
django-extra-form-fields-0.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/django-extra-form-fields-0.0.1-1.el6

Comment 9 Fedora Update System 2011-09-21 20:44:08 UTC
django-extra-form-fields-0.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-extra-form-fields-0.0.1-1.fc15

Comment 10 Fedora Update System 2011-09-24 20:50:50 UTC
django-extra-form-fields-0.0.1-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-10-04 21:13:47 UTC
django-extra-form-fields-0.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2011-10-05 03:52:37 UTC
django-extra-form-fields-0.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-10-11 02:03:28 UTC
django-extra-form-fields-0.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.